Learn about TS-Main

TS-Main provides links to other Sage 300 Construction and Real Estate applications. These links are available as buttons or as items in the Applications menu.

In addition to providing application links, TS-Main allows you to change activation information, upgrade files, and perform other common tasks.

Starting an application

Finding information

Sage 300 Construction and Real Estate Service & Support

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.

More resources

For additional online resources for Sage products, visit the Sage Customer Portal. Use the portal to access the knowledgebase, chat online with customer support, or enter a customer support ticket.

For additional training on Sage products, visit Sage University.


Applications

Use to start an application. See Starting an application for detailed instructions.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.

More resources

For additional online resources for Sage products, visit the Sage Customer Portal. Use the portal to access the knowledgebase, chat online with customer support, or enter a customer support ticket.


Change Registration or Uses

Use to change the name under which your Sage 300 Construction and Real Estate software is registered or the number of activated uses. See Changing the registration name and Changing the number of activated users for detailed instructions.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.

More resources


Upgrade Files

Use to modify Sage 300 Construction and Real Estate data files so they are compatible with the versions of installed applications. See Upgrading files for detailed instructions.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


System Verification

Selecting this options brings up the Sage System Verification window. Use The Sage System Verification tool to test your computer and any attached network computers to determine if Sage 300 Construction and Real Estate software can be executed properly.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Upgrade Files window

Use to modify Sage 300 Construction and Real Estate data files so they are compatible with the versions of installed applications. You can upgrade files in selected data folders, select multiple files to upgrade, and specify print options for the upgrade report.

For help on an item in this window, click [image] on the toolbar and then click the item.

Backing up

Upgrading files

Items in this window

Upgrade Files in

Select which data folders you want to upgrade files from:

  • Current data folder—Upgrades the files you select only in the data folder with which you are currently working.
  • All data folders—Upgrades the files you select in all data folders that display in the Open Company window. This may include data folders on other drives.

Force file upgrades

Select to force the upgrade of the selected files. If not selected, only files that require an upgrade will be upgraded.

Files

Select each file or type of file you want to upgrade. Highlighted files will be upgraded.

[None]

Cancels the selection of all highlighted files.

[All]

Selects all files in the list.

[Printer Setup]

Opens the Printer Setup window to change printer options before printing. [Printer Setup] displays with asterisks if changes have been made.

[Page Setup]

Opens the Page Setup window to change page options before printing. [Page Setup] displays with asterisks if changes have been made.

[Start]

Begins processing and printing the summary report according to your selections.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


About workstation setup (remote installation)

After you have installed accounting and management applications on a network server, you must set up each workstation that uses these applications. Workstation setup performs the following on each workstation:

  • Registers applications—Modifies the registry so that you can use applications on local workstations even though the software was installed on a network server.
  • Adds shortcuts—Adds shortcuts to the Programs menu.
  • Copies selected files—Copies the application program (EXE) and application extension (DLL) files to the local workstation. This optional step enables applications to start more quickly.

To set up the workstations

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Applications (Applications menu)

Use to start an application.

Starting an application

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Change Registration or Uses (Tools menu)

Use to change the name under which your Sage 300 Construction and Real Estate software is registered or the number of activated uses.

Changing the registration name

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Moving Accounting to a different location

Move Sage 300 Construction and Real Estate Products to a different location

Because of equipment obsolescence or size constraints, you may need to move your Sage 300 Construction and Real Estate products and associated data from the current server, drive, host, or standalone workstation to a new location.

Cautions

  • Incorrectly moving or migrating Sage 300 Construction and Real Estate data folders can severely damage your data. Sage Software is not responsible for damage caused to your data because of moving or migrating your data folders. To move Sage 300 Construction and Real Estate to a different location, you must have advanced knowledge of your network. Contact your system administrator for assistance.
  • To prevent a loss of data, make a backup copy before making changes to your Sage 300 Construction and Real Estate data.

Use the steps that follow to move Sage 300 Construction and Real Estate products.

  1. Move Sage 300 Construction and Real Estate applications and data folders to a new location.

    2. How?

  2. Prepare for an upgrade at the new location.

    3. How?

  3. Install Accounting and Management products at the new location.

    4. How?

  4. Set up the workstations.

    5. How?

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Setting up workstations (remote installation)

Overview [image] After you have installed accounting and management applications on a network server, you must set up each workstation that uses these applications. See About workstation setup for more information.

Complete these steps from each workstation that will use Sage 300 Construction and Real Estate applications.

  1. Click [Start] on the Windows taskbar.
  2. Select Run.
  3. In the Run window, click in the Open box. Enter the path to the Install.exe file in the Wininst folder on your server. For example, enter T:\Program Files\Timberline Office\Accounting\Wininst\Install.exe. You can also click [Browse] to select the location.
  4. Follow the instructions in the windows.

Note You must set up workstations every time you install a new version of Sage 300 Construction and Real Estateapplications. The procedure above creates a shortcut to Install.exe (Start > Programs > Sage Software > Sage Timberline Office > Accounting > Workstation Setup). Once you follow the steps above, you can use this shortcut.

To set up the workstations

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


System Verification (Tools menu)

Selecting this options brings up the Sage System Verification window. Use The Sage System Verification tool to test your computer and any attached network computers to determine if Sage 300 Construction and Real Estate software can be executed properly.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


To install Sage 300 Construction and Real Estate at the new location

To install Accounting and Management products at the new location

Important: We strongly recommend that you install the CD version of Accounting and Management Products that you currently use instead of installing a newer version. After you successfully move Accounting and Management Products to the new location and test our products in the new location, you can upgrade to a newer version.

  1. Insert the Accounting and Management Products CD that you currently use into your CD-ROM drive to start the installation.
  2. Make sure your registration name, client number, software country, number of uses, and activation codes prefill.

    3. Caution Do not proceed with the installation if it prompts you to enter your registration name, client number, software country, number of uses, and activation codes. If you proceed with the installation, you will lose customizations within Sage 300 Construction and Real Estate. If the installation prompts you to enter your registration name, client number, software country, number of uses, and activation codes, please contact our Customer Support for assistance.

  3. Complete the installation.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


To move the application and data folders to a new location

To move folders to a new location

Important: The new location for the Accounting and Management applications folder must be located under a folder that all users can share with full control.

  1. Make sure no one is using Sage 300 Construction and Real Estate.
  2. Backup your Sage 300 Construction and Real Estate application folder and data folders.
  3. Copy all Sage 300 Construction and Real Estate application and data folders from the old location to the new location.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


To prepare for an upgrade at the new location

To prepare to upgrade the installation at the new location, manually create the following registry keys at the new location.

Warning Incorrectly editing the registry may severely damage your system. Contact your system administrator for assistance and make a backup copy of all valued data before making changes to the registry.

  1. From the Windows desktop, click Start > Run, type regedit, and then click [OK].
  2. From the Registry Editor, browse to and select HKEY_LOCAL_MACHINE\SOFTWARE.
  3. Right-click SOFTWARE and select New > Key from the menu.
  4. Type Timberline and press Enter.
  5. Right-click the new Timberline subkey and select New > Key.
  6. Type General and press Enter.
  7. Right-click General and select New > String Value.
  8. Right-click New Value #1 and select Rename.
  9. Type System Directory and press Enter.
  10. Double-click System Directory and, in the Value data field, type the path where the Sage 300 Construction and Real Estate applications are located.

    11. Tip For new installations, the default System Directory path is C:\Program Files\Timberline Office\Accounting. Your actual path may vary.

  11. Right-click General and select New > String Value.
  12. Right-click New Value #1 and select Rename.
  13. Type Shared Directory and press Enter.
  14. Double-click Shared Directory and, in the Value data field, type the path where the Sage 300 Construction and Real Estate shared folder is located.

    15. Tip For new installations, the default System Directory path is C:\Program Files\Timberline Office\Shared. Your actual path may vary.

  15. Close the Registry Editor.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


To set up the workstations

  1. At each workstation, disconnect the network drive that points to the old location or server.
  2. Map a new drive to the new network location for the Accounting and Management Products. If the new drive mapping and driver letters are identical to the mapped driver and letter you used previously, skip to step 4.
  3. If the new network location for the Accounting and Management Products uses a different drive mapping, run the workstation setup again to update the registry setting on the workstation.
  4. If necessary, update the Sage 300 Construction and Real Estate icons and shortcuts on each workstation so that they point to the new network location for Accounting and Management Products.
  5. As appropriate, change any file locations for your data files (File > Company Settings > File Locations).
  6. On the same workstation, start TS-Main and select Open Company on the File menu.
  7. Test the data folders. (For example, print reports or select a Setup menu item from different applications.).
  8. Repeat the steps for each workstation.

Notes

  • If you change the drive mapping at the workstation to Sage 300 Construction and Real Estate on the server, the links to custom reports will no longer work. To fix the links, update the path for your custom reports by selecting Report Manager from the Reports menu in the appropriate applications.
  • If you used Universal Naming Convention paths for reports that you added to Report Manager, you must select those reports again in Report Manager. For example, if the path to your report is \\MyServerName\Programs\Timberline Office, you must select the report again.
  • If you use Residential Management, update your Residential Management settings. For instructions on how to update your Residential Management settings after you transfer Accounting and Management Products, please contact our Customer Support for assistance.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Upgrade Files (Tools menu)

Use to modify Sage 300 Construction and Real Estate data files so they are compatible with the versions of installed applications.

Upgrade Files window

Upgrading files

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


TS-Main Help version

TS-Main Help

ts.chm version 12.1.0

October 15, 2012

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.